#! /bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - installation file for lynx on EIS/FAIR
#
# Copyright (c) 2009-2019  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2009-10-29  jed
# Last Update:  $Id: install.sh 70026 2019-10-25 15:41:48Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# read eislib etc.
. /var/install/include/eislib
. /var/install/include/jedlib

module_name='lynx'

config_file=/etc/${module_name}.cfg
config_file_std=/etc/${module_name}.cfg.std

myecho --pack ${module_name} --info "running install.sh ..."

# update shared library file
update_jedlib ${module_name}

myecho --pack ${module_name} "adding menu ..."
/var/install/bin/add-menu --menu "setup.services.menu" \
    "setup.services.${module_name}.menu" "Lynx web browser"

# update default config file
cp ${config_file} ${config_file_std}

# configuration
myecho --pack ${module_name} "creating ${module_name} configuration ..."

/var/install/config.d/${module_name}.sh

exit 0
